/*
 * @Author: Chengliang 1546584672@qq.com
 * @Date: 2023-06-08 13:52:38
 * @LastEditors: Chengliang 1546584672@qq.com
 * @LastEditTime: 2023-06-08 19:21:18
 * @FilePath: /org-chart-frant/src/pages/chart.jsx
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import React, { useEffect, useState } from 'react';
import qs from 'qs';
import * as d3 from 'd3';
import styles from './index.less';
import { Image } from 'antd';

import WaterMark from 'watermark-component-for-react';

export default function companyPage() {
  const [url, setUrl] = useState('');
  const [watermark, setWatermark] = useState('');

  //获取数据
  useEffect(() => {
    d3.json('/api/ais/orgChart/chartData').then((res) => {
      setUrl(res.data.url);
      setWatermark(res.data.watermark);
    });
  }, [true]);

  return (
    <>
      <WaterMark content={watermark} font="20px Microsoft Yahei">
        <div className={styles.chartContainer}>
          <Image
            width="100%"
            src={url}
            preview={{
              src: { url },
            }}
          />
        </div>
      </WaterMark>
    </>
  );
}
